summaryrefslogtreecommitdiffstats
path: root/source/n/irssi/irssi.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/irssi/irssi.SlackBuild')
-rwxr-xr-xsource/n/irssi/irssi.SlackBuild49
1 files changed, 32 insertions, 17 deletions
diff --git a/source/n/irssi/irssi.SlackBuild b/source/n/irssi/irssi.SlackBuild
index 828ab8748..367587973 100755
--- a/source/n/irssi/irssi.SlackBuild
+++ b/source/n/irssi/irssi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,11 +25,20 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-irssi
-VERSION=0.8.14
-DIRCD=0.8.14
-ARCH=${ARCH:-x86_64}
+VERSION=0.8.15
+DIRCD=0.8.15
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -41,6 +50,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
@@ -57,8 +69,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix an error in the manual page
-zcat $CWD/irsi-0.8.14.manpage_fix.diff.gz | patch -p1 || exit 1
+# Fix an error in the manual page:
+zcat $CWD/irssi.manpage_fix.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix an SSL proxy bug in 0.8.15:
+zcat $CWD/irssi.ssl_proxy.diff.gz | patch -p1 --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -83,17 +98,9 @@ make install \
# This removes our DESTDIR from the packlist filenames, to keep perl's
# internal inventories consistent and correct.
find $PKG -name .packlist | while read plist ; do
- sed -e "s%/share/man%/man%g" \
- -e "s%$PKG%%g" \
- -e "s%\.1$%\.1\.gz%g" \
- -e "s%\.2$%\.2\.gz%g" \
- -e "s%\.3$%\.3\.gz%g" \
- -e "s%\.3pm$%\.3pm\.gz%g" \
- -e "s%\.4$%\.4\.gz%g" \
- -e "s%\.5$%\.5\.gz%g" \
- -e "s%\.6$%\.6\.gz%g" \
- -e "s%\.7$%\.7\.gz%g" \
- -e "s%\.8$%\.8\.gz%g" \
+ sed -e "s%$PKG%%g" \
+ -e "s%/share/man%/man%g" \
+ -re "s%\.([1-9]n?|3pm)$%&.gz%g # extend man filenames for .gz" \
${plist} > ${plist}.new
mv -f ${plist}.new ${plist}
done
@@ -126,6 +133,14 @@ cp -a \
$PKG/usr/doc/irssi-$VERSION
( cd $PKG/usr/doc/irssi-$VERSION ; ln -sf /usr/share/irssi/help . )
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh